%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name pkgconfig
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:           mingw-pkgconfig
Version:        0.25
Release:        1%{?dist}
Summary:        A tool for determining compilation options

License:        GPLv2+
URL:            http://pkgconfig.freedesktop.org
Source0:        http://www.freedesktop.org/software/pkgconfig/releases/pkg-config-%{version}.tar.gz
# don't call out to glib-config, since our glib-config is a pkg-config wrapper
Patch2:  pkg-config-0.21-compat-loop.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=16095
Patch3: pkg-config-lib64-excludes.patch
# workaround for breakage with autoconf 2.66
# https://bugzilla.redhat.com/show_bug.cgi?id=611781
Patch4: pkg-config-dnl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2
BuildRequires:  mingw64-glib2

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
The pkgconfig tool determines compilation options. For each required
library, it reads the configuration file and outputs the necessary
compiler and linker flags.


%prep
%setup -q -n pkg-config-%{version}
%patch2 -p1 -b .compat-loop
%patch3 -p0 -b .lib64
%patch4 -p1 -R -b .dnl

%build
%{mingw_set_suffix}
mkdir build_win32$suffix
pushd build_win32$suffix
%{mingw32_env}; ../configure \
        --host=%{mingw32_host} \
        --build=%_build \
        --target=%{mingw32_target} \
        --prefix=%{mingw32_prefix} \
        --exec-prefix=%{mingw32_exec_prefix} \
        --bindir=%{mingw32_bindir} \
        --sbindir=%{mingw32_sbindir} \
        --sysconfdir=%{mingw32_sysconfdir} \
        --datadir=%{mingw32_datadir} \
        --includedir=%{mingw32_includedir} \
        --libdir=%{mingw32_libdir} \
        --libexecdir=%{mingw32_libexecdir} \
        --localstatedir=%{mingw32_localstatedir} \
        --sharedstatedir=%{mingw32_sharedstatedir} \
        --mandir=%{mingw32_mandir} \
        --infodir=%{mingw32_infodir} \
        --disable-shared \
        --with-installed-glib \
        --with-pc-path=%{mingw32_libdir}/pkgconfig:%{mingw32_datadir}/pkgconfig
popd
mkdir build_win64$suffix
pushd build_win64$suffix
%{mingw64_env}; ../configure \
        --host=%{mingw64_host} \
        --build=%_build \
        --target=%{mingw64_target} \
        --prefix=%{mingw64_prefix} \
        --exec-prefix=%{mingw64_exec_prefix} \
        --bindir=%{mingw64_bindir} \
        --sbindir=%{mingw64_sbindir} \
        --sysconfdir=%{mingw64_sysconfdir} \
        --datadir=%{mingw64_datadir} \
        --includedir=%{mingw64_includedir} \
        --libdir=%{mingw64_libdir} \
        --libexecdir=%{mingw64_libexecdir} \
        --localstatedir=%{mingw64_localstatedir} \
        --sharedstatedir=%{mingw64_sharedstatedir} \
        --mandir=%{mingw64_mandir} \
        --infodir=%{mingw64_infodir} \
        --disable-shared \
        --with-installed-glib \
        --with-pc-path=%{mingw64_libdir}/pkgconfig:%{mingw64_datadir}/pkgconfig
popd

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{mingw32_libdir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{mingw64_libdir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{mingw32_datadir}/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{mingw64_datadir}/pkgconfig

# we include this below, already
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/doc/pkg-config
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/doc/pkg-config


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{mingw32_mandir}/*/*
%{mingw32_bindir}/*
%{mingw32_libdir}/pkgconfig
%{mingw32_datadir}/pkgconfig
%{mingw32_datadir}/aclocal/*

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING pkg-config-guide.html
%{mingw64_mandir}/*/*
%{mingw64_bindir}/*
%{mingw64_libdir}/pkgconfig
%{mingw64_datadir}/pkgconfig
%{mingw64_datadir}/aclocal/*


%changelog
* Wed Jun 1 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.25-1
- Initial package.
